VDPAU

vdpau_x11.h File Reference

X11 Window System Integration Layer. More...

`#include <X11/Xlib.h>`
`#include "vdpau.h"`
Include dependency graph for vdpau_x11.h:

Go to the source code of this file.

#define | VDP_FUNC_ID_PRESENTATION_QUEUE_TARGET_CREATE_X11
typedef VdpStatus | VdpDeviceCreateX11(Display *display, int screen, VdpDevice *device, VdpGetProcAddress **get_proc_address)
| Create a VdpDevice object for use with X11.
typedef VdpStatus | VdpPresentationQueueTargetCreateX11(VdpDevice device, Drawable drawable, VdpPresentationQueueTarget *target)
| Create a VdpPresentationQueueTarget for use with X11.
VdpDeviceCreateX11 | vdp_device_create_x11
| Create a VdpDevice object for use with X11. This is an actual symbol of type VdpDeviceCreateX11.

## Detailed Description

X11 Window System Integration Layer.

This file contains the X11 Window System Integration Layer X11 Window System Integration Layer.